﻿using ReactiveUI;

namespace FrontendAvalonia.ViewModels;

public class PageViewModelBase : ViewModelBase, IRoutableViewModel, IActivatableViewModel
{
    public PageViewModelBase(IScreen screen)
    {
        UrlPathSegment = GetType().Name.Replace("ViewModel", "");
        HostScreen = screen;
    }

    public string? UrlPathSegment { get; }
    public IScreen HostScreen { get; }
    public ViewModelActivator Activator { get; } = new();
}