ALTER TABLE gamenight RENAME TO _gamenight_old;

CREATE TABLE gamenight (
    id UUID NOT NULL PRIMARY KEY,
    name VARCHAR NOT NULL,
    datetime VARCHAR NOT NULL,
    owner_id UUID NOT NULL,
    CONSTRAINT FK_OwnerId FOREIGN KEY (owner_id) REFERENCES users(id) ON DELETE CASCADE
);

SET session_replication_role = 'replica';

INSERT INTO gamenight (id, name, datetime, owner_id)
select id, name, datetime, '00000000-0000-0000-0000-000000000000'
FROM _gamenight_old;

drop table _gamenight_old;

SET session_replication_role = 'origin';