pub mod flows;

use flows::{main::Main, Flow, GamenightState};

#[tokio::main]
async fn main() {
    let mut state = GamenightState::new();
    let mainflow = Main::new();
    if let Err(x) = mainflow.run(&mut state).await {
        println!("{}", x.error);
    }
}
    

