﻿using System.Collections.Generic;
using System.Windows.Input;
using ReactiveUI;

namespace FrontendAvalonia.ViewModels
{
    public class MenuItemViewModel : ViewModelBase
    {
        public string Header { get; set; } = "Placeholder";
        public ICommand Command { get; set; } = ReactiveCommand.Create(() => { });
        public object? CommandParameter { get; set; } = null;
        public IList<MenuItemViewModel> Items { get; set; } = new List<MenuItemViewModel>();
    }
}
