use super::*;

#[derive(Clone)]
pub struct Abort {

}

impl Abort {
    pub fn new() -> Self {
        Self{}
    }
}

#[async_trait]
impl<'a> Flow<'a> for Abort {
    async fn run(&self, state: &'a mut GamenightState) -> FlowResult<'a> {
        Ok((FlowOutcome::Abort, state))
    }
}

impl Display for Abort {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "Abort")
    }
}
